exports.routesDesc = {
    get_ability_abilities:[['read','AbilityStore']],
    post_ability_addability:[['create','AbilityStore'],['update','AbilityStore']],
    patch_ability_patchability:[['read','AbilityStore'],['update','AbilityStore']],
    get_admin_getadmin: [['read','Admin']],
    get_assessment_assessments : [['read','Assessment']]  ,
    get_assessment_assessment: [['read','Assessment'],['read','Section'],['read','AssessmentQuestion']] ,
    patch_assessment_assessment: [['read','Assessment'],['read','Section'],['delete','AssessmentQuestion'],['update','Section'],['create','AssessmentQuestion'],['update','Assessment']] ,
    delete_assessment_assessment: [['read','Assessment'],['delete','Assessment']],
    delete_assessment_assessments: [['read','Assessment'],['delete','Assessment']],
    post_assessment_assessment: [['read','Assessment'],['create','Assessment'],['create','Section']],
    post_assessment_assignassessment: [['read','Assessment'],['create','AttemptedAssessment']] ,
    post_assessment_copyassessment: [['read','Assessment'],['read','Section'],['read','AssessmentQuestion'],['create','AssessmentQuestion'],['create','Section'],['create','Assessment']],
    get_assessmentquestion_gettopics: [['read','MasterQuestion']],
    patch_attemptassessment_patchassessment: [['read','AttemptedAssessment'],['update','AttemptedAssessment']] ,
    patch_attemptassessment_firstpatchassessment:  [['read','AttemptedAssessment'],['update','AttemptedAssessment']]  , 
    get_attemptassessment_checkstatus: [['read','AttemptedAssessment'],['read','Section'],['read','Assessment'],['read','AssessmentQuestion']] , 
    get_attemptassessment_getanswers: [['read','AttemptedAssessment'],['read','Section'],['read','AssessmentQuestion'],['read','Assessment']] , 
    get_attemptassessment_attemptassessments: [['read','AttemptedAssessment'],['read','Assessment']] ,
    get_attemptassessment_attemptassessments_child: [['read','AttemptedAssessment'],['read','Assessment']] ,
    get_attemptassessment_getstudents: [['read','AttemptedAssessment']] ,
    get_attemptassessment_getassignedassessments: [['read','AttemptedAssessment']] ,
    get_batch_batches:[['read','Batch'],['read','Tutor']] ,
    post_batch_create: [['read','Tutor'],['read','Student'],['read','MasterPackage'],['read','Batch'],['create','Batch'],['update','Student'],['create','Tutor'],['update','Tutor']]  ,
    get_batch_detail: [['read','Batch'],['read','Student'],['read','Schedule']] ,
    get_batch_detail_id: [['read','Batch'],['read','Student'],['read','Schedule']] ,
    put_batch_update: [['read','Student'],['read','Batch'],['update','Batch']] ,
    put_batch_syllabus: [['read','Student'],['read','Batch'],['update','Batch']] ,
    delete_batch_delete: [['read','Batch'],['delete','Schedule'],['delete','Batch'],['read','Tutor'],['create','Tutor'],['update','Tutor']],
    get_batch_batchsearch: [['read','Batch'],['read','Student']] , 
    post_batchchapter_create: [['read','Batch'],['read','Chapter'],['read','BatchChapter'],['create','BatchChapter'],['update','BatchChapter']] ,
    get_batchchapter_studentchapters: [['read','Student'],['read','BatchChapter'],['read','Chapter'],['read','Content']] ,
    get_org_batch_batches: [['read','Batch'],['read','Tutor']],
    post_org_batch_create: [['read','Tutor'],['read','Student'],['read','MasterPackage'],['read','Batch'],['create','Batch'],['update','Student'],['create','Tutor'],['update','Tutor']] ,
    get_org_batch_detail: [['read','Batch'],['read','Student'],['read','Schedule']] , 
    put_org_batch_update: [['read','Student'],['read','Batch'],['update','Batch']] ,
    delete_org_batch_delete: [['read','Batch'],['delete','Schedule'],['delete','Batch'],['read','Tutor'],['create','Tutor'],['update','Tutor']] ,
    get_chapter_chapters: [['read','Chapter']] ,
    get_chapter_detail: [['read','Chapter'],['read','Content']] ,
    post_chapter_create: [['read','Chapter'],['create','Chapter'],['update','Chapter']] ,
    put_chapter_update: [['read','Chapter'],['update','Chapter']] ,
    delete_chapter_delete: [['read','Chapter'],['delete','Chapter']] ,
    get_content_getsignedurlforupload: [['read','Tutor'],['read','MasterPackage']] ,
    get_content_contents: [['read','Chapter'],['read','Content'],['read','QuizDetail']] ,
    get_content_detail: [['read','Content'],['read','QuizDetail']] , 
    post_content_create: [['read','Chapter'],['update','Chapter'],['create','Chapter'],['read','Content'],['create','QuizDetail'],['create','Content'],['update','Content'],['read','Tutor'],['create','Tutor'],['update','Tutor']] ,
    put_content_update: [['create','QuizDetail'],['read','Content'],['update','Content']] ,
    delete_content_delete: [['read','Content'],['read','Chapter'],['delete','Content'],['create','Tutor'],['update','Tutor'],['read','Tutor']] , 
    post_org_content_create: [['read','Chapter'],['update','Chapter'],['create','Chapter'],['read','Content'],['create','QuizDetail'],['create','Content'],['update','Content'],['read','Tutor'],['create','Tutor'],['update','Tutor']] ,
    delete_org_content_delete: [['read','Content'],['read','Chapter'],['delete','Content'],['create','Tutor'],['update','Tutor'],['read','Tutor']] , 
    get_org_content_getsignedurlforupload: [['read','Tutor'],['read','MasterPackage']] ,
    get_masterdata_getboardslist: [['read','MasterChapter']] ,
    get_masterdata_getclasslist : [['read','MasterChapter']] ,
    get_masterdata_getsubjectlist: [['read','MasterChapter']] ,
    get_masterdata_getchapterlist: [['read','MasterChapter']] ,
    get_masterdata_getcities: [['read','MasterCity']] ,
    get_masterdata_getcitiesbypincode: [['read','MasterCity']] ,
    get_masterdata_getschoolsbycity: [['read','MasterSchool']] ,
    get_org_getorganization: [['read','Organization'],['read','MasterPackage']] ,
    get_org_getcourses: [['read','Organization']] ,
    put_org_addorganization: [['read','Organization'],['create','Organization'],['update','Organization']], 
    put_org_onboardorganization: [['read','Organization'],['create','Organization'],['update','Organization']], 
    post_org_addtutors: [['read','Organization'],['read','MasterPackage'],['read','Tutor'],['create','Tutor'],['update','Organization']] , 
    get_org_tutors: [['read','Organization'],['read','Tutor']] ,
    delete_org_removetutors: [['read','Tutor'],['read','Organization'],['create','Organization'],['update','Organization'],],
    post_org_addstudents: [['read','Organization'],['read','MasterPackage'],['read','Student'],['read','Parent'],['create','Student'],['create','Parent'],['update','Organization']] , 
    delete_org_removestudents: [['read','Organization'],['read','Student']] ,
    get_org_getstudents: [['read','Student'],['read','Organization'],['create','Organization'],['update','Organization']] ,
    get_schedule_studentroom: [['read','Student'],['read','Session'],['read','StudentAttendance'],['update','StudentAttendance'],['create','StudentAttendance']] ,
    get_schedule_tutorroom:[['read','Schedule'],['read','Session'],['update','Session'],['create','Session']],
    get_schedule_schedules:[['read','Batch'],['read','Tutor'],['read','Schedule']] ,
    get_schedule_studentschedules: [['read','Student'],['read','Schedule'],['read','Batch']] ,
    get_schedule_studentattendance:[['read','Student'],['read','StudentAttendance']] ,
    get_schedule_parentschedules: [['read','Parent'],['read','Student'],['read','Schedule'],['read','Batch']] ,
    get_schedule_detail:[['read','Schedule'],['read','Batch']] ,
    post_schedule_create: [['read','Tutor'],['read','MasterPackage'],['read','Batch'],['read','Schedule'],['create','Schedule'],['create','Tutor'],['update','Tutor']] ,
    put_schedule_update: [['read','Schedule'],['update','Schedule']] ,
    delete_schedule_delete: [['read','Schedule'],['delete','Schedule'],['read','Tutor'],['create','Tutor'],['update','Tutor']] ,
    post_org_schedule_create: [['read','Tutor'],['read','MasterPackage'],['read','Batch'],['read','Schedule'],['create','Schedule'],['create','Tutor'],['update','Tutor']] ,
    put_org_schedule: [['read','Tutor'],['read','MasterPackage'],['read','Batch'],['read','Schedule'],['create','Schedule'],['create','Tutor'],['update','Tutor'],['update','Schedule'],['update','Batch']] ,
    delete_org_schedule_delete: [['read','Schedule'],['delete','Schedule'],['read','Tutor'],['create','Tutor'],['update','Tutor']] ,
    get_studentcontent_contents: [['read','Student'],['read','StudentContent'],['read','Content']] ,
    get_studentcontent_details: [['read','Student'],['read','Content'],['read','QuizDetail'],['read','StudentContent']] ,
    post_studentcontent_create: [['read','Batch'],['read','Content'],['read','StudentContent'],['update','StudentContent'],['create','StudentContent']] ,
    put_studentcontent_saveanswers: [['read','Student'],['read','Content'],['read','QuizDetail'],['read','StudentContent'],['update','StudentContent']] ,
    post_studentcontent_viewresults: [['read','Batch'],['read','Content'],['read','QuizDetail'],['read','StudentContent'],['read','Student']] ,
    put_profiles_addtutor: [['read','Tutor'],['create','Tutor'],['update','Tutor'],['read','User'],['update','User']] ,
    put_profiles_onboardtutor: [['read','Tutor'],['create','Tutor'],['update','Tutor'],['read','User'],['update','User']] ,
    get_profiles_gettutor: [['read','Tutor'],['read','MasterPackage']] ,
    get_profiles_getcoursesfortutor: [['read','Tutor']] ,
    post_profiles_addstudentsbytutor:[['read','Tutor'],['read','MasterPackage'],['read','Student'],['read','Parent'],['create','Parent'],['create','Student'],['update','Tutor']] ,
    delete_profiles_removestudentsfortutor: [['read','Student'],['read','Tutor'],['create','Tutor'],['update','Tutor'],], 
    get_profiles_getstudentsbytutor: [['read','Tutor'],['read','Student']] ,
    get_profiles_getstudentsbytutorid: [['read','Tutor'],['read','Student']] ,
    get_profiles_getstudentsbyparent: [['read','Tutor'],['read','Student']] ,
    post_profiles_updatekycdocsbytutor: [['read','Tutor'],['update','Tutor']] ,
    get_profiles_getstudent: [['read','Student']] ,
    put_profiles_updatestudent: [['read','Student'],['create','Student'],['update','Student']] ,
    get_profiles_getparent: [['read','Parent']] ,
    put_profiles_updateparent: [['read','Parent'],['create','Parent'],['update','Parent']] ,
    post_profiles_changepassword: [['read','User'],['create','User'],['update','User']] ,
    post_upload_uploaddata: [['create','MasterQuestion']]
}



